/**
 * Javier Abelln, 31 Mayo 2006
 * 
 * Ejemplo para meter, de forma automtica, un ResultSet en un JTable
 */
package chuidiang.ejemplos.base_datos;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.WindowConstants;
import javax.swing.table.DefaultTableModel;

public class TablaDeDatos
{
    /**
     * serial uid
     */
    private static final long serialVersionUID = 4049634590287015989L;

    /** La tabla */
    private JTable tabla;

    /** La ventana */
    private JFrame ventana;

    /** El scroll para la tabla */
    private JScrollPane scroll;

    /**
     * Crea la ventana con todos sus componentes dentro y la visualiza
     *
     */
    public void creaYMuestraVentana()
    {
        ventana = new JFrame("Contenido base de datos");
        if (tabla == null)
            tabla = new JTable();
        scroll = new JScrollPane(tabla);
        ventana.getContentPane().add(scroll);
        ventana.pack();
        ventana.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        ventana.setVisible(true);
    }

    /**
     * Mete el modelo que recibe en la tabla.
     * @param modelo
     */
    public void tomaDatos(DefaultTableModel modelo)
    {
        if (tabla == null)
            tabla = new JTable();
        tabla.setModel(modelo);
    }
}
